<script>
	let baseHost = "http://localhost:8080"
	let basePath = "atlantis"
	let baseUrl = baseHost + "/" + basePath

	let promise = doAuth();

	async function doAuth(event) {
		let email = event.target.email.value;
		let password = event.target.password.value;

		console.log(email);
		// console.log(password);

		let url = baseUrl + "/auth/authenticate";
		// let headers = {
		// 	"content-type": "application/json"
		// };
		let payload = JSON.stringify({ email: "email", password: "password" });

		// debugging
		console.log(url)
		// console.log(headers)
		console.log(payload)

		// call the authentication endpoint
		// const response = await fetch(authUrl,{ credentials: "include", method: "POST", headers: { "Accept": "application/json", "Content-Type": "application/json" }, body: JSON.stringify({email: email, password: password, mode: "cookie"})});
		// const response = await fetch(url,{ credentials: "include", method: "POST", headers: { "Accept": "application/json", "Content-Type": "application/json" }, body: JSON.stringify({email: email, password: password, mode: "cookie"})});
		// const response = await fetch(url, { credentials: "include", method: "POST", headers: headers, body: payload})});
		const response = await fetch(url, { credentials: "include", method: "POST", body: payload });
		console.log(response);
		const body = await response.json();
		console.log(body)

		if (response.ok) {
			console.log(body.data)
			return body.data.first_name
		} else {
			// log the authentication error
			console.log(body.error)
			return body.error
		}
	}
</script>

<form on:submit|preventDefault="{doAuth}" >
  <label for="email">Email</label>
  <input required type="email" id="email" />

  <label for="password">Password</label>
  <input required type="password" id="password" />

  <button type="submit">Log in</button>
</form>
